/* Write out the measurements */

#include "comext.h"
#include <stdio.h>

writedata(fd)
int fd;
{
   int n;

   if (ASCII) {
      printf("energy: %12.8f\n", energy[0]);
      printf("spin: %12.8f\n", mag[0]);
      if (!(glass || frustrated)) {
         for (n=0;n<Q;n++) printf("%12.8f ", Qspin[n]);
         printf("\n");
      }
      printf("spinsq: %12.8f\n", magsq[0]);

      printf("cenergy: %12.8f\n", energy[1]);
      printf("cspin: %12.8f\n", mag[1]);
      /* printf("spinsq: %12.8f\n", magsq[1]); */
      fflush(stdout);
   }
   else if (BINARY) {
      cfwrite(energy,sizeof(float),M,fd);
      cfwrite(Qspin,sizeof(float),Q,fd);
      cfwrite(&mag[1],sizeof(float),1,fd);
      cfwrite(magsq,sizeof(float),1,fd);
   }
}



/* Checks to ensure that the output is written to the file */

cfwrite(ptr,size,nobj,fpout)
int *ptr;
int size,nobj;
int fpout;
{
   int nobj_left,nobj_done;

   nobj_left = nobj;
   while (nobj_left != 0) {
       nobj_done = fwrite(ptr,size,nobj_left,fpout);
       nobj_left -= nobj_done;
   }
}

